import { Pages } from '../../navigators/Routes';
import { Page } from './types';

export const pages: Page[] = [
  { title: 'Opacity', route: Pages.OpacityScreen },
  { title: 'Translation', route: Pages.TranslationScreen },
  { title: 'Scale', route: Pages.ScaleScreen },
  { title: 'ScaleXY', route: Pages.ScaleXYScreen },
  { title: 'Scale Reverse', route: Pages.ScaleReverseScreen },
  { title: 'Height Value', route: Pages.HeightValueScreen },
  { title: 'Absolute Position', route: Pages.AbsolutePositionScreen },
  { title: 'Color', route: Pages.ColorScreen },
  { title: 'Rotation', route: Pages.RotationScreen },
  { title: 'RotationXY', route: Pages.RotationYScreen },
  { title: 'Width/Height Percentage', route: Pages.WidhtHeightPercentageScreen },
  { title: 'Easing Back', route: Pages.EasingBackScreen },
  { title: 'Easing Boucne', route: Pages.EasingBounceScreen },
  { title: 'Easing Elastic', route: Pages.EasingElasticScreen },
  { title: 'Easing Bezier', route: Pages.EasingBezierScreen },
  { title: 'Spring', route: Pages.SpringScreen },
  { title: 'Loop', route: Pages.LoopScreen },
  { title: 'Event', route: Pages.EventScreen },
  { title: 'Decay', route: Pages.DecayScreen },
  { title: 'Math Add', route: Pages.MathAddScreen },
  { title: 'Math Divide', route: Pages.MathDivideScreen },
  { title: 'Math Multyply', route: Pages.MathMultiplyScreen },
  { title: 'Math Modulo', route: Pages.MathModuloScreen },
  { title: 'Parallel', route: Pages.ParallelAnimationsScreen },
  { title: 'Sequence', route: Pages.SequenceAnimationsScreen },
  { title: 'Stagger', route: Pages.StaggerScreen },
  { title: 'Delay', route: Pages.DelayScreen },
  { title: 'Number Interpolation', route: Pages.NumberInterpolationScreen },
  { title: 'Color Interpolation', route: Pages.ColorInterpolationScreen },
  { title: 'Extrapolation', route: Pages.ExtrapolateScreen },
  { title: 'Gestures & Animations', route: Pages.GesturesAndAnimationsScreen },
  { title: 'Create Animated Component', route: Pages.CreateAnimatedComponentScreen },
  { title: 'Set Native Props', route: Pages.SetNativePropsScreen },
  { title: 'D3 Interpolate', route: Pages.D3InterpolateScreen },
  { title: 'D3 Interpolate Path', route: Pages.D3InterpolatePathScreen },
  { title: 'Art and Morph.Tween', route: Pages.ArtAndTweenScreen },
  { title: 'Flubber', route: Pages.FlubberScreen },
  { title: '.99 Cliff', route: Pages.Dot99Cliff },
  { title: 'Hidden', route: Pages.HiddenScreen },
  { title: 'Interruption', route: Pages.InterruptionScreen },
  { title: 'Pointer Events', route: Pages.PointerEventsScreen },
  { title: '4 Corners', route: Pages._4CornersScreen },
  { title: 'Staggered Heads', route: Pages.StaggeredHeadsScreen },
  { title: 'Kitten Cards', route: Pages.KittenCardsScreen },
  { title: 'Stagger on Mount', route: Pages.StaggerOnMountScreen },
  { title: 'Progress Bar Button', route: Pages.ProgressBarButtonScreen },
  { title: 'Notifications', route: Pages.NotificationsScreen },
  { title: 'Questionnaire', route: Pages.QuestionnaireScreen },
  { title: 'Photo Grid', route: Pages.PhotoGridScreen },
  { title: 'Color Picker', route: Pages.ColorPickerScreen },
  { title: 'Floatin Action Button', route: Pages.FloatingActionButtonScreen },
  { title: 'Intro Screen', route: Pages.IntroScreenScreen },
  { title: 'Evolving Button', route: Pages.EvolvingButtonScreen },
  { title: 'Social Comment Modal', route: Pages.SocialCommentModalScreen },
  { title: 'Horizontal Parallax', route: Pages.HorizontalParallaxScreen },
  { title: 'Love Floating Hearts', route: Pages.FloatingHeartsScreen },
  { title: 'Bouncing Heart', route: Pages.BouncingHeartScreen },
  { title: 'Exploading Heart', route: Pages.ExploadingHeartScreen },
  { title: 'Expanding Notify Input', route: Pages.ExpandingNotifyInputScreen },
];
